--
-- Standing Cage
--

PREFABS.Cage_stand1 =
{
  file   = "cage/stand_cage.wad",
  map    = "MAP01",
  theme  = "city",

  prob   = 500,

  where  = "point",

  size   = 128,
  height = 128,

  bound_z1 = 0,
  bound_z2 = 120,
}

PREFABS.Cage_stand2 =
{
  file   = "cage/stand_cage.wad",
  map    = "MAP02",
  theme  = "city",

  prob   = 100,
  env    = "cave",

  where  = "point",

  size   = 96,
  height = 152,

  bound_z1 = 0,
  bound_z2 = 152,
}

PREFABS.Cage_stand1_Crypt =
{
  template = "Cage_stand1",
  theme  = "Ossuary",
  tex_BLFENC4 = "MIDSPACE",
  tex_BRICK11 = "WALL911",
  flat_DACH001 = "DGRAS",
}

PREFABS.Cage_stand2_Crypt =
{
  template = "Cage_stand2",
  theme  = "Ossuary",
  tex_BLFENC4 = "MIDSPACE",
  tex_BRICK11 = "WALL911",
  flat_DACH001 = "DGRAS",
}

PREFABS.Cage_stand1_Dome =
{
  template = "Cage_stand1",
  theme  = "Dome",
  tex_BLFENC4 = "MIDBRONZ",
  tex_BRICK11 = "SNWBRK6",
  flat_DACH001 = "FSNW2",
}

PREFABS.Cage_stand2_Dome =
{
  template = "Cage_stand2",
  theme  = "Dome",
  tex_BLFENC4 = "MIDBRONZ",
  tex_BRICK11 = "SNWBRK6",
  flat_DACH001 = "FSNW2",
}

PREFABS.Cage_stand1_Manor =
{
  template = "Cage_stand1",
  theme  = "Demense",
  tex_BLFENC4 = "VILL06",
  tex_SUPPORT2 = "SUPPORT3",
  flat_FLAT20 = "CEIL5_1",
  tex_BRICK11 = "WOODSLIM",
  flat_DACH001 = "WOODF01",
}

PREFABS.Cage_stand2_Manor =
{
  template = "Cage_stand2",
  theme  = "Demense",
  tex_BLFENC4 = "VILL06",
  tex_SUPPORT2 = "SUPPORT3",
  flat_FLAT20 = "CEIL5_1",
  tex_BRICK11 = "WOODSLIM",
  flat_DACH001 = "WOODF01",
}

PREFABS.Cage_stand1_Maw =
{
  template = "Cage_stand1",
  theme  = "Maw",
  tex_BLFENC4 = "MIDBARS0",
  tex_SUPPORT2 = "SUPPORT3",
  flat_FLAT20 = "CEIL5_1",
  tex_BRICK11 = "SP_HOT1",
  flat_DACH001 = "FLAT5_3",
}

PREFABS.Cage_stand2_Maw =
{
  template = "Cage_stand2",
  theme  = "Maw",
  tex_BLFENC4 = "MIDBARS0",
  tex_SUPPORT2 = "SUPPORT3",
  flat_FLAT20 = "CEIL5_1",
  tex_BRICK11 = "SP_HOT1",
  flat_DACH001 = "FLAT5_3",
}