--
--  Large alcove with lava pit crossing.
--

PREFABS.Item_lava_pit_alcove =
{
  file   = "item/gtd_lava_pit_alcove.wad",
  map    = "MAP01",

  prob   = 50,
  theme  = "maw",

  where  = "seeds",
  seed_w = 3,
  seed_h = 2,

  height = 192,
  deep =  16,
  over = -16,

  x_fit = "frame",
  y_fit = "top",
}

-- Lava trap
PREFABS.Item_lava_pit_alcove_trap =
{
  template = "Item_lava_pit_alcove",
  map    = "MAP02",

  prob   = 25,
  style  = "traps",
  theme  = "maw",
}

-- Sludge traps
PREFABS.Item_sludge_pit_alcove =
{
  template = "Item_lava_pit_alcove",

  flat_LAVA1 = "FLTSLUD1",
  theme  = "city",
}

PREFABS.Item_sludge_pit_alcove_trap =
{
  template = "Item_lava_pit_alcove",
  map    = "MAP02",

  prob   = 25,
  style  = "traps",
  flat_LAVA1 = "FLTSLUD1",
  theme  = "city",
}

-- Fireblu traps
PREFABS.Item_ice_pit_alcove =
{
  template = "Item_lava_pit_alcove",

  flat_LAVA1 = "FLATBLU1",
  theme  = "dome",
}

PREFABS.Item_ice_pit_alcove_trap =
{
  template = "Item_lava_pit_alcove",
  map    = "MAP02",

  prob   = 25,
  style  = "traps",
  flat_LAVA1 = "FLATBLU1",
  theme  = "dome",
}

-- Blood traps
PREFABS.Item_blood_pit_alcove =
{
  template = "Item_lava_pit_alcove",

  flat_LAVA1 = "BADBLUD1",
  theme  = "ossuary",
}

PREFABS.Item_blood_pit_alcove_trap =
{
  template = "Item_lava_pit_alcove",
  map    = "MAP02",

  prob   = 25,
  style  = "traps",
  flat_LAVA1 = "BADBLUD1",
  theme  = "ossuary",
}

-- Muck traps
PREFABS.Item_muck_pit_alcove =
{
  template = "Item_lava_pit_alcove",

  flat_LAVA1 = "MUCK1",
  theme  = "demense",
}

PREFABS.Item_muck_pit_alcove_trap =
{
  template = "Item_lava_pit_alcove",
  map    = "MAP02",

  prob   = 25,
  style  = "traps",
  flat_LAVA1 = "MUCK1",
  theme  = "demense",
}