PREFABS.Joiner_gtd_3D_joiner_center =
{
  file   = "joiner/gtd_3d_joiners.wad",
  map = "MAP01",
  theme  = "city",

  prob   = 150,
  style  = "steepness",

  port   = "zdoom",

  where  = "seeds",
  shape  = "I",

  seed_w = 2,
  seed_h = 2,

  deep   = 16,
  over   = 16,

  x_fit  = { 24,32 , 224,232 },
  y_fit  = { 96,112 },

  delta_h  = 128,
  nearby_h = 128,
  can_flip = true,
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_1 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP02",

  prob = 75,

  x_fit = { 136,144 },
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_2 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP03",

  prob = 75,

  x_fit = { 112,120 },
}


PREFABS.Joiner_gtd_3D_joiner_center_maw =
{
  template = "Joiner_gtd_3D_joiner_center",
  theme  = "maw",
  tex_PLAT1 = "SPINE1",
  flat_LIFTFLAT = "RROCK09",
  tex_SUPPORT2 = "SUPPORT3",
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_maw_1 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP02",
  theme  = "maw",
  tex_PLAT1 = "SPINE1",
  flat_LIFTFLAT = "RROCK09",
  tex_SUPPORT2 = "SUPPORT3",

  prob = 75,

  x_fit = { 136,144 },
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_maw_2 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP03",
  theme  = "maw",
  tex_PLAT1 = "SPINE1",
  flat_LIFTFLAT = "RROCK09",
  tex_SUPPORT2 = "SUPPORT3",

  prob = 75,

  x_fit = { 112,120 },
}


PREFABS.Joiner_gtd_3D_joiner_center_dome =
{
  template = "Joiner_gtd_3D_joiner_center",
  theme  = "dome",
  tex_PLAT1 = "ICE",
  flat_LIFTFLAT = "FLAT517",
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_dome_1 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP02",
  theme  = "dome",
  tex_PLAT1 = "ICE",
  flat_LIFTFLAT = "FLAT517",

  prob = 75,

  x_fit = { 136,144 },
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_dome_2 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP03",
  theme  = "dome",
  tex_PLAT1 = "ICE",
  flat_LIFTFLAT = "FLAT517",

  prob = 75,

  x_fit = { 112,120 },
}


PREFABS.Joiner_gtd_3D_joiner_center_crypt =
{
  template = "Joiner_gtd_3D_joiner_center",
  theme  = "ossuary",
  tex_PLAT1 = "SKELEWAL",
  flat_LIFTFLAT = "FLAT5_5",
  tex_SUPPORT2 = "SUPPORT3",
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_crypt_1 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP02",
  theme  = "ossuary",
  tex_PLAT1 = "SKELEWAL",
  flat_LIFTFLAT = "FLAT5_5",
  tex_SUPPORT2 = "SUPPORT3",

  prob = 75,

  x_fit = { 136,144 },
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_crypt_2 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP03",
  theme  = "ossuary",
  tex_PLAT1 = "SKELEWAL",
  flat_LIFTFLAT = "FLAT5_5",
  tex_SUPPORT2 = "SUPPORT3",

  prob = 75,

  x_fit = { 112,120 },
}



PREFABS.Joiner_gtd_3D_joiner_center_manor =
{
  template = "Joiner_gtd_3D_joiner_center",
  theme  = "demense",
  tex_PLAT1 = "WALL04_7",
  flat_LIFTFLAT = "FLOOR0_5",
  tex_SUPPORT2 = "SUPPORT3",
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_manor_1 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP02",
  theme  = "demense",
  tex_PLAT1 = "WALL04_7",
  flat_LIFTFLAT = "FLOOR0_5",
  tex_SUPPORT2 = "SUPPORT3",

  prob = 75,

  x_fit = { 136,144 },
}

PREFABS.Joiner_gtd_3D_joiner_side_lift_manor_2 =
{
  template = "Joiner_gtd_3D_joiner_center",
  map      = "MAP03",
  theme  = "demense",
  tex_PLAT1 = "WALL04_7",
  flat_LIFTFLAT = "FLOOR0_5",
  tex_SUPPORT2 = "SUPPORT3",

  prob = 75,

  x_fit = { 112,120 },
}