PREFABS.Joiner_double_lift_tech =
{
  file   = "joiner/gtd_double_lift.wad",

  prob   = 100,
  style  = "steepness",
  theme  = "city",

  where  = "seeds",
  shape  = "I",

  seed_w = 2,
  seed_h = 1,

  deep   = 16,
  over   = 16,

  x_fit  = "frame",
  y_fit  = { 56,72 },

  delta_h  = 256,
  neighbor_h = 256+128,
  can_flip = true,
}

PREFABS.Joiner_double_lift_hell =
{
  template   = "Joiner_double_lift_tech",
  map        = "MAP02",

  y_fit  = { 16,24 , 136,144 },

  tex_SKSPINE1 = "SPINE1",
  flat_SFLR6_4 = "RROCK09",
  theme      = "maw",
}

PREFABS.Joiner_double_lift_dome =
{
  template   = "Joiner_double_lift_tech",
  theme      = "dome",
  
  tex_PLAT1 = "ICE",
  flat_LIFTFLAT = "FLAT517",
}

PREFABS.Joiner_double_lift_crypt =
{
  template   = "Joiner_double_lift_tech",
  map        = "MAP02",

  y_fit  = { 16,24 , 136,144 },

  tex_SKSPINE1 = "SKELEWAL",
  flat_SFLR6_4 = "FLAT5_5",
  theme      = "ossuary",
}

PREFABS.Joiner_double_lift_manor =
{
  template   = "Joiner_double_lift_tech",
  map        = "MAP02",

  y_fit  = { 16,24 , 136,144 },

  tex_SKSPINE1 = "WALL04_7",
  flat_SFLR6_4 = "FLOOR0_5",
  theme      = "demense",
}