--Generic secret lift

PREFABS.Joiner_scionox_secret_lift =
{
  file   = "joiner/scionox_secret_lift.wad",
  map    = "MAP01",
  theme = "city",

  prob   = 50,
  key    = "secret",
  style  = "steepness",

  where  = "seeds",
  shape  = "I",

  seed_w = 1,
  seed_h = 1,

  deep = 16,
  over = 16,

  delta_h  = 120,
  nearby_h = 128,

  bound_z1 = 0,
  bound_z2 = 192,

  x_fit  = "frame",
  y_fit  = {84,156},
  
  thing_34 = 77,
  thing_15 = 78,
  
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_scionox_secret_lift_4 =
{
  file   = "joiner/scionox_secret_lift.wad",
  map    = "MAP02",
  theme = "city",

  prob   = 50,
  key    = "secret",
  style  = "steepness",

  where  = "seeds",
  shape  = "I",

  seed_w = 1,
  seed_h = 1,

  deep = 16,
  over = 16,

  delta_h  = 120,
  nearby_h = 128,

  bound_z1 = 0,
  bound_z2 = 192,

  x_fit  = "frame",
  y_fit  = {84,156},

  thing_34 = 77,
  thing_15 = 78,
  
  tex_SUPPORT3 = "SUPPORT2",
}

--Generic secret lift (downward version)

PREFABS.Joiner_scionox_secret_lift_down =
{
  file   = "joiner/scionox_secret_lift.wad",
  map    = "MAP03",
  theme = "city",

  prob   = 50,
  key    = "secret",
  style  = "steepness",

  where  = "seeds",
  shape  = "I",

  seed_w = 1,
  seed_h = 1,

  deep = 16,
  over = 16,

  delta_h = -128,
  nearby_h = 128,

  bound_z1 = 0,
  bound_z2 = 128,

  x_fit  = "frame",
  y_fit  = {88,156},
  
  thing_34 = 77,
  thing_15 = 78,
  
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_scionox_secret_lift_down_corpse_hint =
{
  file   = "joiner/scionox_secret_lift.wad",
  map    = "MAP04",
  theme = "city",

  prob   = 50,
  key    = "secret",
  style  = "steepness",

  where  = "seeds",
  shape  = "I",

  seed_w = 1,
  seed_h = 1,

  deep = 16,
  over = 16,

  delta_h = -128,
  nearby_h = 128,

  bound_z1 = 0,
  bound_z2 = 128,

  x_fit  = "frame",
  y_fit  = {88,156},

  thing_34 = 77,
  thing_15 = 78,
  
  tex_SUPPORT3 = "SUPPORT2",
}


PREFABS.Joiner_scionox_secret_lift_maw =
{
  template = "Joiner_scionox_secret_lift",
  theme  = "maw",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "mutilated_elf",
}

PREFABS.Joiner_scionox_secret_lift_4_maw =
{
  template = "Joiner_scionox_secret_lift_4",
  theme  = "maw",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "mutilated_elf",
}

PREFABS.Joiner_scionox_secret_lift_down_maw =
{
  template = "Joiner_scionox_secret_lift_down",
  theme  = "maw",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "mutilated_elf",
}

PREFABS.Joiner_scionox_secret_lift_down_corpse_hint_maw =
{
  template = "Joiner_scionox_secret_lift_down_corpse_hint",
  theme  = "maw",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "mutilated_elf",
}


PREFABS.Joiner_scionox_secret_lift_dome =
{
  template = "Joiner_scionox_secret_lift",
  theme  = "dome",
  flat_LIFTFLAT = "FLAT20",
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_scionox_secret_lift_4_dome =
{
  template = "Joiner_scionox_secret_lift_4",
  theme  = "dome",
  flat_LIFTFLAT = "FLAT20",
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_scionox_secret_lift_down_dome =
{
  template = "Joiner_scionox_secret_lift_down",
  theme  = "dome",
  flat_LIFTFLAT = "FLAT20",
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_scionox_secret_lift_down_corpse_hint_dome =
{
  template = "Joiner_scionox_secret_lift_down_corpse_hint",
  theme  = "dome",
  flat_LIFTFLAT = "FLAT20",
  tex_SUPPORT3 = "SUPPORT2",
}


PREFABS.Joiner_scionox_secret_lift_crypt =
{
  template = "Joiner_scionox_secret_lift",
  theme  = "ossuary",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "elf_bones",
}

PREFABS.Joiner_scionox_secret_lift_4_crypt =
{
  template = "Joiner_scionox_secret_lift_4",
  theme  = "ossuary",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "elf_bones",
}

PREFABS.Joiner_scionox_secret_lift_down_crypt =
{
  template = "Joiner_scionox_secret_lift_down",
  theme  = "ossuary",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "elf_bones",
}

PREFABS.Joiner_scionox_secret_lift_down_corpse_hint_crypt =
{
  template = "Joiner_scionox_secret_lift_down_corpse_hint",
  theme  = "ossuary",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
  thing_15 = "elf_bones",
}


PREFABS.Joiner_scionox_secret_lift_manor =
{
  template = "Joiner_scionox_secret_lift",
  theme  = "demense",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
}

PREFABS.Joiner_scionox_secret_lift_4_manor =
{
  template = "Joiner_scionox_secret_lift_4",
  theme  = "demense",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
}

PREFABS.Joiner_scionox_secret_lift_down_manor =
{
  template = "Joiner_scionox_secret_lift_down",
  theme  = "demense",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
}

PREFABS.Joiner_scionox_secret_lift_down_corpse_hint_manor =
{
  template = "Joiner_scionox_secret_lift_down_corpse_hint",
  theme  = "demense",
  flat_LIFTFLAT = "CEIL5_1",
  tex_SUPPORT2 = "SUPPORT3",
  tex_SUPPORT3 = "SUPPORT3",
}