--
-- Simple joiner II
--

PREFABS.Joiner_simple2_city =
{
  file   = "joiner/simple2.wad",
  map    = "MAP01",
  theme  = "city",

  prob   = 150,

  where  = "seeds",
  shape  = "I",

  seed_w = 3,
  seed_h = 1,

  deep   = 16,
  over   = 16,

  x_fit = "frame",
  y_fit = { 24,40 , 120,136 },

  tex_WOODMET4 = { HUMAN1=50, STONE3=50, STONE2=50, BRICK11=50, BIGBRIK2=50},
  tex_SHAWN2 = "WOOD1",
  flat_FLAT20 = "FLAT5_2",
}

PREFABS.Joiner_simple2_maw =
{
  template   = "Joiner_simple2_city",
  theme      = "maw",

  tex_WOODMET4 = { HELDEM1=50, MARBLE1=50, MARBLE2=50, MARBLE3=50, GSTONE1=50},
  tex_SHAWN2 = "MARBGRAY",
  flat_FLAT20 = "DEM1_6",
}

PREFABS.Joiner_simple2_dome =
{
  template   = "Joiner_simple2_city",
  theme      = "dome",

  tex_WOODMET4 = { BLUDEM=50, LEVIATN=50, FRZBNWL2=50, FRZBNWL1=50, MEDUSS=50},
  tex_SHAWN2 = "ICE",
  flat_FLAT20 = "FLAT517",
}

PREFABS.Joiner_simple2_crypt =
{
  template   = "Joiner_simple2_city",
  theme      = "ossuary",

  tex_WOODMET4 = { CRYPT1=50, MARBGRAY=50, WALL062=50, WALL910=50, WALL900=50},
  tex_SHAWN2 = "WALL911",
  flat_FLAT20 = "DGRAS",
}

PREFABS.Joiner_simple2_manor =
{
  template   = "Joiner_simple2_city",
  theme      = "demense",

  tex_WOODMET4 = { MANOR1=50, WODMET01=50, WOODMET2=50, WOOD4=50, WOOD3=50},
  tex_SHAWN2 = "WOODSLIM",
  flat_FLAT20 = "WOODF01",
}