--
-- Outdoor start platform
--

PREFABS.Start_sky_pad =
{
  file   = "start/sky_pad.wad",
  map    = "MAP01",

  rank   = 2,
  prob   = 100,
  theme  = "city",

  env    = "outdoor",
  open_to_sky = 1,

  where  = "seeds",
  seed_w = 2,
  seed_h = 2,

  x_fit  = { 72,80, 176,184 },

  thing_2028 = "heretical_candle_torch",

  tex_STARBR2 = { SHAWN2=50, METAL2=50, STARBR2=50, TEKWALL4=50, STARGR1=50, STONE=50 },
  flat_FLOOR4_1 = { FLOOR4_1=50, FLOOR4_5=50, FLOOR4_6=50 },

}


PREFABS.Start_sky_pad_hell =
{
  template = "Start_sky_pad",

  theme  = "maw",

  -- replace the lamps
  thing_2028 = "serpent_torch",

  -- texture replacements
  tex_STEP1   = "STEP4",
  tex_STARBR2 = { GSTONE1=50, GSTVINE1=50, GSTVINE2=50, SP_HOT1=50, ASHWALL2=50, ASHWALL4=50, ASHWALL6=50, ASHWALL7=50 },
  tex_BROWN1  = { STONE2=50, STONE3=50, STONE4=50 },

  flat_FLOOR4_1 = "FLAT1",
  flat_FLOOR1 = "FLAT1",
}

PREFABS.Start_sky_pad_dome =
{
  template = "Start_sky_pad",

  theme  = "dome",

  thing_2028 = "serpent_torch",

  -- texture replacements
  tex_STEP1   = "STEP4",
  tex_STARBR2 = "ICEY8",
  tex_BROWN1  = "ICEY921",

  flat_FLOOR4_1 = "FLIRCK01",
  flat_FLOOR1 = "ICEYRCK",
}

PREFABS.Start_sky_pad_manor =
{
  template = "Start_sky_pad",

  theme  = "demense",

  thing_2028 = "heretical_candle_torch",

  -- texture replacements
  tex_STEP1   = "STEP4",
  tex_STARBR2 = "WOOD1",
  tex_BROWN1  = "WOODSLIM",

  flat_FLOOR4_1 = "F_055",
  flat_FLOOR1 = "F_054",
}

PREFABS.Start_sky_pad_crypt =
{
  template = "Start_sky_pad",

  theme  = "ossuary",

  thing_2028 = "heretical_candle_torch",

  -- texture replacements
  tex_STEP1   = "STEP4",
  tex_STARBR2 = "WALL910",
  tex_BROWN1  = "WALL900",

  flat_FLOOR4_1 = "FLROCK21",
  flat_FLOOR1 = "FLROCK21",
}