--
-- Teleporter closet
--

PREFABS.Teleporter_Closet2 =
{
  file   = "teleporter/newcloset2.wad",

  prob   = 50,
  map    = "MAP01",
  theme  = "maw",

  where  = "seeds",
  seed_w = 1,
  seed_h = 1,

  deep  =  16,
  over  = -16,

  x_fit = "frame",
  y_fit = "top",

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  flat_FLAT5_3 = "REDWALL",

  flat_GATE4 = "GATE1",
  sector_8 = { [8]=50, [1]=15, [2]=10, [3]=10, [0]=5 },
}


PREFABS.Teleporter_Closet2_2 =
{
  file   = "teleporter/newcloset2.wad",

  prob   = 50,
  map    = "MAP02",
  theme  = "ossuary",

  where  = "seeds",
  seed_w = 1,
  seed_h = 1,

  deep  =  16,
  over  = -16,

  x_fit = "frame",
  y_fit = "top",

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  flat_GATE4 = "GATE3",
}

PREFABS.Teleporter_Closet2_3 =
{
  file   = "teleporter/newcloset2.wad",

  prob   = 50,
  map    = "MAP03",
  theme  = "city",

  where  = "seeds",
  seed_w = 1,
  seed_h = 1,

  deep  =  16,
  over  = -16,

  x_fit = "frame",
  y_fit = "top",

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  sector_8 = { [8]=50, [1]=15, [2]=10, [3]=10, [0]=3 },

}

PREFABS.Teleporter_Closet2_4 =
{
  file   = "teleporter/newcloset2.wad",

  prob   = 50,
  map    = "MAP04",
  theme  = "dome",

  where  = "seeds",
  seed_w = 1,
  seed_h = 1,

  deep  =  16,
  over  = -16,

  x_fit = "frame",
  y_fit = "top",

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",
  flat_GATE1 = "GATE4",

}

PREFABS.Teleporter_Closet2_5 =
{
  file   = "teleporter/newcloset2.wad",

  prob   = 50,
  map    = "MAP05",
  theme  = "demense",

  where  = "seeds",
  seed_w = 1,
  seed_h = 1,

  deep  =  16,
  over  = -16,

  x_fit = "frame",
  y_fit = "top",

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  flat_GATE4 = "GATE2",
  sector_13 = { [13]=50, [12]=25, [1]=15, [2]=10, [3]=10, [0]=5 },
  tex_SW1GARG = { SW1GARG=50, SW1LION=50, SW1SATYR=50 },

}
