PREFABS.Wall_hell_stone_brace = --#
{
  file   = "wall/gtd_wall_hell_exterior_wall_groups.wad",
  map    = "MAP01",
  theme = "maw",

  prob   = 15,
  env = "outdoor",

  group = "hell_o_stone_brace",

  where  = "edge",
  height = 128,
  deep   = 16,

  bound_z1 = 0,
  bound_z2 = 128,

  z_fit = "bottom",

  tex_STONE3 = "STONE2",
}

PREFABS.Wall_hell_wood_brace = --#
{
  template = "Wall_hell_stone_brace",
  theme = "demense",

  group = "hell_o_wood_brace",

  tex_STONE2 = "WOODMET1",
  tex_STONE3 = "WOODMET1",
  flat_FLAT1 = "CEIL5_1",
}

PREFABS.Wall_hell_metal_framed_skin = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP02",
  theme = "ossuary",

  group = "hell_o_metal_framed_skin",

  tex_SKINEDGE =
  {
    SKINEDGE = 50,
    SKSNAKE2 = 50,
    SKSPINE1 = 7,
    SKSPINE2 = 7,
    SKSNAKE1 = 7,
  },

  z_fit = "stretch",
}

PREFABS.Wall_hell_caged_up_corpses = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP03",
  theme = "ossuary",

  group = "hell_o_caged_up_corpses",

  tex_SLOPPY1 =
  {
    SLOPPY1 = 50,
    SLOPPY2 = 50,
  },
  tex_WOODMET4 =
  {
    WOODMET3 = 50,
    WOODMET4 = 50,
  },

  z_fit = "top",
}

PREFABS.Wall_hell_giant_stone_faces = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP04",
  theme = "maw",

  height = 192,

  group = "hell_o_giant_stone_faces",

  tex_MARBFAC2 =
  {
    MARBFACE = 50,
    MARBFAC2 = 50,
    MARBFAC3 = 50,
  },

  z_fit = { 8,56 },

  bound_z2 = 192,
}

PREFABS.Wall_hell_outdoor_rising_spfaces = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP05",
  theme = "maw",

  port = "zdoom",

  group = "hell_o_rising_spfaces",

  z_fit = "top",
}

PREFABS.Wall_hell_outdoor_lava_falls = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP06",
  theme = "maw",

  group = "hell_o_lava_falls",

  scenic_mode = "never",

  tex_BROWNGRN  = "MARBLE1",
  
  tex_BRWINDOW  = "MODWALL3",
  
  tex_FIREMAG1 =
  {
    FIREMAG1 = 15,
    MARBGRAY = 50,
    MARBFAC4 = 15,
  },

  z_fit = { 48,72 },
}

PREFABS.Wall_hell_outdoor_huge_overhang = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP07",
  theme = "maw",

  group = "hell_o_huge_overhang",

  deep = 48,

  z_fit = { 20,52 },
}

PREFABS.Wall_hell_outdoor_spiny_overhang = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP08",
  theme = "ossuary",

  group = "hell_o_spiny_overhang",

  deep = 64,

  z_fit = { 32,96 },
}

PREFABS.Wall_hell_outdoor_rising_energy = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP10",
  theme = "dome",

  height = 192,

  group = "hell_o_rising_energy",

  z_fit = { 136,186 },

  bound_z2 = 192,
  tex_MARBGRAY  = "MOSAIC1",
  tex_MARBFAC4  = "MOSAIC5",
  tex_MARBLE3  = "MOSAIC1",
  tex_ROCK3  = "BLUEFRAG",
  flat_FLOOR7_2 = "FLOOR16",
  flat_GRNROCK = "FLOOR16",
}

PREFABS.Wall_hell_wooden_palisades = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP11",
  theme = "demense",

  group = "hell_o_wooden_palisades",

  tex_WOODMET3 =
  {
    WOODMET1 = 50,
    WOODMET3 = 10,
    WOODMET4 = 10,
  },
  tex_WOOD10 =
  {
    WOOD5 = 5,
    WOOD6 = 5,
    WOOD7 = 5,
    WOOD8 = 5,
    WOOD9 = 5,
    WOOD10 = 5,
  },

  z_fit = "top",
}

PREFABS.Wall_gothic_flying_alcoves = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP12",
  theme = "maw",

  group = "hell_o_flying_alcoves",

  deep = 64,

  z_fit = "top",
}

PREFABS.Wall_hell_extruded_arch = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP16",
  theme = "maw",

  group = "hell_o_extruded_arch",

  z_fit = { 40,48 },
}

PREFABS.Wall_hell_blood_ocatgon = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP20",
  theme = "dome",

  group = "hell_o_blood_ocatgon",
  tex_BFALL1 = "ICE",

  z_fit = "top",
}

PREFABS.Wall_hell_crematorium_windows = --#
{
  template = "Wall_hell_stone_brace",
  map = "MAP22",
  theme = "demense",

  group = "hell_o_crematorium_windows",

  z_fit = "bottom",
}