PREFABS.Decor_triple_bone_thing =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP01",

  prob   = 5000,
  prob_skew = 2,
  theme  = "ossuary",

  where  = "point",
  size   = 64,
  height = 168,

  bound_z1 = 0,
  bound_z2 = 168,

  tex_SKSPINE1 = "SPINE1",
  flat_SFLR6_1 = "RROCK09",
  thing_27 =
  { impaled_elf_1 = 50,
    impaled_elf_2 = 50,
    decapitated_elf_1  = 50,
    decapitated_elf_2  = 50,
  },
  
  sink_mode = "never_liquids",
  z_fit  = "top",
}

PREFABS.Decor_blood_drip_pool =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP02",

  prob   = 5000,
  theme  = "maw",
  env    = "building",

  where  = "point",
  size   = 64,
  height = 160,

  bound_z1 = 0,
  bound_z2 = 160,

  thing_76 =
  { hang_skull_1 = 50,
    hang_skull_2 = 50,
    hang_skull_3  = 50,
    hang_skull_4  = 50,
    hang_corpse  = 50,
  },

  z_fit  = "top",
}

PREFABS.Decor_cage_n_corpses =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP03",

  prob   = 5000,
  theme  = "maw",
  env    = "building",

  where  = "point",
  size   = 64,
  height = 176,

  bound_z1 = 0,
  bound_z2 = 176,

  thing_25 = 88,
  
  flat_SFLR6_4 = "FLAT5_6",
  
  thing_12 = 91,
  
  thing_24 = 110,
  
  z_fit  = { 112+8,112+16 }
}

PREFABS.Decor_hell_gazebo =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP04",

  prob   = 5000,
  theme  = "maw",

  where  = "point",
  size   = 64,
  height = 160,

  bound_z1 = 0,
  bound_z2 = 160,

  z_fit  = top,

  sink_mode = "never",
}

PREFABS.Decor_blood_filling_casket =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP05",

  prob   = 5000,
  theme  = "maw",
  env    = "building",

  where  = "point",
  size   = 64,
  height = 168,

  bound_z1 = 0,
  bound_z2 = 168,

  thing_34 = 77,
  
  z_fit  = { 40+16,40+32 }
}

PREFABS.Decor_vaulted_pillar =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP06",

  prob   = 5000,
  theme  = "maw",
  env    = "building",

  where  = "point",
  size   = 64,
  height = 160,

  bound_z1 = 0,
  bound_z2 = 160,

  z_fit  = { 16+16,16+32 }
}

PREFABS.Decor_pentagram_pedestal =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP07",

  prob   = 5000,
  theme  = "maw",

  where  = "point",
  size   = 64,

  bound_z1 = 0,

  thing_34 = 77,

  sink_mode = "never",
}

PREFABS.Decor_pool_of_guts =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP08",

  prob   = 5000,
  theme  = "maw",
  env    = "building",

  where  = "point",
  size   = 80,

  bound_z1 = 0,
  
  flat_SFLR6_4 = "FLAT5_6",

  thing_26 =
  {
    impaled_elf_1 = 50,
    impaled_elf_2  = 50,
    decapitated_elf_1   = 50,
    decapitated_elf_2   = 50,
	burning_witch  = 30,
  },
  
  sink_mode = "never",
}

PREFABS.Decor_candle_altar =
{
  file   = "decor/gtd_decor_hell.wad",
  map    = "MAP09",

  prob   = 5000,
  theme  = "ossuary",

  where  = "point",
  size   = 64,
  height = 160,

  bound_z1 = 0,
  
  thing_34 = 77,
}
