--
-- Simple round pillar
--

PREFABS.Pillar_round1 =
{
  file   = "decor/pillar1.wad",
  where  = "point",

  prob   = 5000,
  skip_prob = 25,
  theme  = "city",
  env    = "building",

  size   = 80,
  height = 128,

  bound_z1 = 0,
  bound_z2 = 128,

  z_fit  = { 56,72 }
}


PREFABS.Pillar_round1_tech =
{
  template = "Pillar_round1",

  theme  = "ossuary",

  tex_WOOD6     = "WALL900",
  tex_WOOD12    = "WALL910",
  flat_FLOOR7_1 = "WALL910",
}

PREFABS.Pillar_round1_tech2 =
{
  template = "Pillar_round1",

  theme  = "demense",

  tex_WOOD6     = "WOODSLIM",
  tex_WOOD12    = "GRID03",
  flat_FLOOR7_1 = "GRID03",
}

PREFABS.Pillar_round1_marble =
{
  template = "Pillar_round1",

  theme  = "maw",

  tex_WOOD6     = "MARBLE2",
  tex_WOOD12    = "SUPPORT3",
  flat_FLOOR7_1 = "CEIL5_2",
}

PREFABS.Pillar_round1_metal =
{
  template = "Pillar_round1",

  theme  = "dome",

  tex_WOOD6     = "FRZBNWL2",
  tex_WOOD12    = "FRZBNWL1",
  flat_FLOOR7_1 = "FRZBNWL1",
}
