--
-- Sloped joiner!!!
--

PREFABS.Joiner_simple_arched =
{
  file   = "joiner/gtd_simple_arched.wad",
  map    = "MAP01",

  prob   = 1000,
  port = "zdoom",
  theme  = "maw",
  env = "!outdoor",
  neighbor = "!outdoor",

  where  = "seeds",
  shape  = "I",

  seed_w = 2,
  seed_h = 2,

  deep   = 16,
  over   = 16,

  bound_z1 = 0,
  bound_z2 = 128+4,

  x_fit = { 128-16,128+16 },
  y_fit = { 64,96 , 192,224 },
  
  thing_46 = "fire_brazier",

  sector_1 = 0 -- a hack to stop Oblige from culling this sector, required by ZDoom slope linedefs
}

PREFABS.Joiner_simple_arched_urban = {
  template = "Joiner_simple_arched",

  theme = "city",

  thing_46 = "heretical_brass_torch",
  tex_METAL = "SHAWN2",
}

PREFABS.Joiner_simple_arched_crypt = {
  template = "Joiner_simple_arched",

  theme = "ossuary",

  thing_46 = "heretical_candle_torch",
  flat_CEIL5_2 = "FLAT5_6",
}

PREFABS.Joiner_simple_arched_dome = {
  template = "Joiner_simple_arched",

  theme = "dome",

  thing_46 = "heretical_snake_pillar",
  flat_CEIL5_2 = "ICEYRCK",
  tex_METAL = "SHAWN2",
}

PREFABS.Joiner_simple_arched_manor = {
  template = "Joiner_simple_arched",

  theme = "demense",

  thing_46 = "heretical_candle_torch",
  flat_CEIL5_2 = "SFLR6_4",
  tex_METAL = "WOODSLIM",
}