PREFABS.Joiner_gtd_universal_beams =
{
  file   = "joiner/gtd_universal_joiners.wad",
  map    = "MAP01",

  prob   = 750,

  where  = "seeds",
  shape  = "I",

  seed_w = 3,
  seed_h = 1,

  deep = 16,
  over = 16,

  x_fit = { 176,208 },
  y_fit = { 76,84 },

  can_flip = true,
}

PREFABS.Joiner_gtd_universal_staircase =
{
  file   = "joiner/gtd_universal_joiners.wad",
  map    = "MAP02",

  prob   = 750,

  style  = "steepness",

  where  = "seeds",
  shape  = "I",

  seed_w = 1,
  seed_h = 1,

  deep = 16,
  over = 16,

  x_fit = { 56,72 },
  y_fit = "stretch",

  delta_h  = 64,
  nearby_h = 192,

  can_flip = true,
}

PREFABS.Joiner_gtd_universal_funnel =
{
  file   = "joiner/gtd_universal_joiners.wad",
  map    = "MAP03",

  prob   = 750,

  where  = "seeds",
  shape  = "I",

  seed_w = 2,
  seed_h = 1,

  deep = 16,
  over = 16,

  x_fit = { 120,137 },
  y_fit = { 24,28 , 132,140 },

  can_flip = true,
}

PREFABS.Joiner_gtd_universal_wavy_staircase =
{
  file  = "joiner/gtd_universal_joiners.wad",
  map   = "MAP04",

  theme = "city",
  prob  = 550,

  where = "seeds",
  shape = "I",

  style = "steepness",

  seed_w = 2,
  seed_h = 1,

  deep = 16,
  over = 16,

  delta_h  = 32,
  nearby_h = 160,

  x_fit = { 24,104 , 152,232 },
  y_fit = "frame",

  flat_FLOOR5_2 = "FLAT5_1",
  flat_CEIL5_2 = "FLAT20",
  tex_METAL = "SHAWN2",
  tex_SUPPORT3 = "SUPPORT2",

  thing_2028 = "heretical_candle_torch",

  can_flip = true,
}

PREFABS.Joiner_gtd_universal_wavy_staircase_hell =
{
  template = "Joiner_gtd_universal_wavy_staircase",

  theme = "maw",

  flat_FLOOR5_2 = "RROCK01",
  tex_STEP1 = "CRACKLE2",
  tex_STEP3 = "CRACKLE2",
  tex_METAL = "METAL",
  tex_SUPPORT3 = "SUPPORT3",

  thing_2028 = "fire_brazier",
}

PREFABS.Joiner_gtd_universal_wavy_staircase_dome =
{
  template = "Joiner_gtd_universal_wavy_staircase",

  theme = "dome",

  flat_FLOOR5_2 = "FRZFLAT",
  tex_STEP1 = "FRZRCK",
  tex_STEP3 = "FRZRCK",

  thing_2028 = "serpent_torch",
  
  flat_CEIL5_2 = "FLAT20",
  tex_METAL = "SHAWN2",
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_gtd_universal_wavy_staircase_crypt =
{
  template = "Joiner_gtd_universal_wavy_staircase",

  theme = "ossuary",

  flat_FLOOR5_2 = "FLAT5_6",
  tex_STEP1 = "SP_FACE2",
  tex_STEP3 = "SP_FACE2",
  tex_METAL = "METAL",
  tex_SUPPORT3 = "SUPPORT3",

  thing_2028 = "heretical_small_candle",
}

PREFABS.Joiner_gtd_universal_wavy_staircase_manor =
{
  template = "Joiner_gtd_universal_wavy_staircase",

  theme = "demense",

  flat_FLOOR5_2 = "F_055",
  tex_STEP1 = "WOODSLIM",
  tex_STEP3 = "WOODSLIM",
  tex_METAL = "METAL",
  tex_SUPPORT3 = "SUPPORT3",

  thing_2028 = "heretical_brass_torch",
}