--
-- Joiner with lift
--

PREFABS.Joiner_lift3 =
{
  file   = "joiner/lift3.wad",

  prob   = 40,
  style  = "steepness",
  theme  = "city",

  env      = "!cave",
  neighbor = "!cave",

  where  = "seeds",
  shape  = "I",

  seed_w = 2,
  seed_h = 1,

  deep   = 16,
  over   = 16,

  x_fit  = "frame",
  y_fit  = { 96,112 },

  delta_h  = 104,
  can_flip = true,

  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_lift3_hell =
{
  template   = "Joiner_lift3",
  theme      = "maw",

  flat_LIFTFLAT = "FLOOR5_1",
  tex_PLAT1 = "SKINFACE",
  tex_SUPPORT3 = "SUPPORT3",

}

PREFABS.Joiner_lift3_dome =
{
  template   = "Joiner_lift3",
  theme      = "dome",

  flat_LIFTFLAT = "FRZFLAT",
  tex_PLAT1 = "FRZRCK",
  tex_SUPPORT3 = "SUPPORT2",
}

PREFABS.Joiner_lift3_crypt =
{
  template   = "Joiner_lift3",
  theme      = "ossuary",

  flat_LIFTFLAT = "FLAT5_6",
  tex_PLAT1 = "SKULWALL",
  tex_SUPPORT3 = "SUPPORT3",
}

PREFABS.Joiner_lift3_manor =
{
  template   = "Joiner_lift3",
  theme      = "demense",

  flat_LIFTFLAT = "FLOOR4_8",
  tex_PLAT1 = "MOSSTEK2",
  tex_SUPPORT3 = "SUPPORT3",
}