-- Point version of dual teleport

PREFABS.Teleporter_scionox_dual_pad =
{
  file   = "teleporter/scionox_dual_pad.wad",
  map    = "MAP03",

  theme  = "maw",
  prob   = 75,

  where  = "point",
  size   = 104,
  height = 128,

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  tex_COMPSTA1 = { COMPSTA1=50, COMPSTA2=50 },
  flat_FLOOR4_6 = { FLOOR4_6=50, FLAT20=50, FLAT19=50, FLAT5=50 },

  tex_SW2SATYR = { SW2SATYR=50, SW2GARG=50, SW2LION=50 },
  flat_RROCK15 = { RROCK15=50, FLOOR7_2=50, FLAT5_1=50, RROCK10=50 },

  thing_10 = 91,
  
  thing_26 = "fire_brazier",

  face_open = true,
}

-- Point version of dual teleport with pillar element

PREFABS.Teleporter_scionox_dual_pad_4 =
{
  file   = "teleporter/scionox_dual_pad.wad",
  map    = "MAP04",

  theme  = "maw",
  prob   = 60,

  where  = "point",
  size   = 104,
  height = 128,

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  tex_COMPSTA1 = { COMPSTA1=50, COMPSTA2=50 },
  flat_FLOOR4_6 = { FLOOR4_6=50, FLAT20=50, FLAT19=50, FLAT5=50 },

  tex_SW2SATYR = { SW2SATYR=50, SW2GARG=50, SW2LION=50 },
  flat_RROCK15 = { RROCK15=50, FLOOR7_2=50, FLAT5_1=50, RROCK10=50 },

  thing_10 = 91,
  
  thing_26 = 89,
  
  face_open = true,
}