--
-- Outdoor teleporter platform
--

PREFABS.Teleporter_sky_pad =
{
  file   = "teleporter/sky_pad.wad",
  map    = "MAP01",

  rank   = 2,
  prob   = 50,
  theme  = "city",

  env    = "outdoor",
  open_to_sky = 1,

  where  = "seeds",
  seed_w = 2,
  seed_h = 2,

  x_fit  = { 40,48, 208,216 },

  tag_1 = "?out_tag",
  tag_2 = "?in_tag",

  thing_55 = "heretical_candle_torch",

sector_8  = { [8]=60, [2]=15, [3]=15, [8]=15, [17]=20 },

}


PREFABS.Teleporter_sky_pad_maw =
{
  template = "Teleporter_sky_pad",

  theme = "maw",

  thing_55 = "serpent_torch",
}

PREFABS.Teleporter_sky_pad_dome =
{
  template = "Teleporter_sky_pad",

  theme = "dome",

  thing_55 = "serpent_torch",
}

PREFABS.Teleporter_sky_pad_crypt =
{
  template = "Teleporter_sky_pad",

  theme = "ossuary",

  thing_55 = "heretical_candle_torch",
}

PREFABS.Teleporter_sky_pad_manor =
{
  template = "Teleporter_sky_pad",

  theme = "demense",

  thing_55 = "heretical_candle_torch",
}